<template>
    <div class="w-100 wraptrack">
        <v-layout class="t_layout column">
            <v-container mt-3>
                <v-card>
                    <v-card-title>
                        <h1 class="track_title">Track Your Order</h1>
                    </v-card-title>
                    <v-divider></v-divider>
                    <v-card-text>
                        <v-form ref="form" class="track_form">
                            <v-alert :value="true" v-if="er" type="info" outline>Please Enter Tracking Number</v-alert>
                            <div class="form_field">
                                <v-text-field
                                    v-model="id_shipment"
                                    placeholder="Please Enter Your Tracking Number & Get Your Tracking Details"
                                    type="text"
                                    :rules="validateRules"
                                ></v-text-field>
                            </div>
                            <div class="form_field">
                                <v-btn
                                    @click="track(id_shipment)"
                                    large
                                    depressed
                                    color="primary"
                                    block
                                >Track order</v-btn>
                            </div>
                        </v-form>
                    </v-card-text>
                </v-card>
            </v-container>
        </v-layout>
    </div>
</template>
<script>
export default {
    data() {
        return {
            id_shipment: null,
            shipment_id: null,
            er: false,
            tracking_l: false,
            validateRules: [
                v => !!v || 'This field is required'
            ],
        }
    },
    created() {
        var tracking_id = this.$route.query.tracking_id;
        if (tracking_id) {
            this.id_shipment = tracking_id;
        }
    },
    methods: {
        track: function (id_shipment) {
          console.log(id_shipment);
          if (id_shipment) {
            this.tracking_l = true;
            window.open('https://www.fedex.com/apps/fedextrack/index.html?tracknumbers=' + id_shipment + '&cntry_code=us', '_blank');
          } else {
            this.er = true;
            this.tracking_l = false;
          }
        }
    },
    head() {
      return {
        title: 'Track Order | Balingwiredirect.com',
        meta: [
          {hid: 'description', name: 'description', content: 'Track your order'},
          {hid: 'keywords', name: 'keywords', content: 'track, track order'}
        ]
      }
    }
}
</script>
